Linux Kernel up to 4.16.5 drivers/cdrom/cdrom.c cdrom_ioctl_media_changed Kernel Memory memory corruption

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
5.3$0-$5k0.00

A vulnerability classified as critical was found in Linux Kernel up to 4.16.5 (Operating System). This vulnerability affects the function cdrom_ioctl_media_changed of the file drivers/cdrom/cdrom.c. The manipulation with an unknown input leads to a memory corruption vulnerability (Kernel Memory). The CWE definition for the vulnerability is CWE-119. The product performs operations on a memory buffer, but it can read from or write to a memory location that is outside of the intended boundary of the buffer. As an impact it is known to affect confidentiality, integrity, and availability. CVE summarizes:

The cdrom_ioctl_media_changed function in drivers/cdrom/cdrom.c in the Linux kernel before 4.16.6 allows local attackers to use a incorrect bounds check in the CDROM driver CDROM_MEDIA_CHANGED ioctl to read out kernel memory.

The bug was discovered 04/18/2018. The weakness was disclosed 05/09/2018 (Website). The advisory is shared for download at git.kernel.org. This vulnerability was named CVE-2018-10940 since 05/09/2018. The attack needs to be approached locally. A single authentication is required for exploitation. There are known technical details, but no exploit is available.

The vulnerability was handled as a non-public zero-day exploit for at least 21 days. During that time the estimated underground price was around $0-$5k. The vulnerability scanner Nessus provides a plugin with the ID 110476 (Ubuntu 16.04 LTS : linux, linux-aws, linux-kvm, linux-raspi2, linux-snapdragon vulnerabilities (USN-3676-1)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Ubuntu Local Security Checks and running in the context l. The commercial vulnerability scanner Qualys is able to test this issue with plugin 157849 (Oracle Enterprise Linux Security Update for kernel (ELSA-2018-3083)).

Upgrading to version 4.16.6 eliminates this vulnerability. A possible mitigation has been published 2 months after the disclosure of the vulnerability.

The vulnerability is also documented in the vulnerability database at Tenable (110476).

Productinfo

Type

Vendor

Name

Version

License

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 5.4
VulDB Meta Temp Score: 5.3

VulDB Base Score: 5.3
VulDB Temp Score: 5.1
VulDB Vector: 🔍
VulDB Reliability: 🔍

NVD Base Score: 5.5
NVD Vector: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Name: Kernel Memory
Class: Memory corruption / Kernel Memory
CWE: CWE-119
CAPEC: 🔍
ATT&CK: 🔍

Local: Yes
Remote: No

Availability: 🔍
Status: Not defined

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 110476
Nessus Name: Ubuntu 16.04 LTS : linux, linux-aws, linux-kvm, linux-raspi2, linux-snapdragon vulnerabilities (USN-3676-1)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Context: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

Reaction Time: 🔍
0-Day Time: 🔍
Exposure Time: 🔍

Upgrade: Kernel 4.16.6
Patch: git.kernel.org

Timelineinfo

04/18/2018 🔍
05/09/2018 +20 days 🔍
05/09/2018 +0 days 🔍
05/09/2018 +0 days 🔍
05/09/2018 +0 days 🔍
05/10/2018 +1 days 🔍
06/11/2018 +32 days 🔍
06/12/2018 +1 days 🔍
03/11/2023 +1733 days 🔍

Sourcesinfo

Vendor: kernel.org

Advisory: USN-3676-1
Status: Confirmed

CVE: CVE-2018-10940 (🔍)
SecurityFocus: 104154 - Linux Kernel CVE-2018-10940 Local Denial of Service Vulnerability

Entryinfo

Created: 05/10/2018 10:03 AM
Updated: 03/11/2023 12:51 PM
Changes: 05/10/2018 10:03 AM (80), 02/03/2020 05:29 PM (4), 03/11/2023 12:43 PM (5), 03/11/2023 12:51 PM (1)
Complete: 🔍
Cache ID: 34:340:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Do you know our Splunk app?

Download it now for free!